import React, { useMemo, useState } from 'react'
import { Select } from 'antd'

const options = ['全部', '图片', '文档', '音频', '视频']

const FileTypeSelect = (props) => {

  const { value, onChange, addons } = props

  const selectChange = (value) => {
    onChange(value)
    if (value === '音频') {
      addons.setValue('durationTime', 60)
    } else if (value === '视频') {
      addons.setValue('durationTime', 15)
    }
  }

  return (
    <Select value={value} onChange={selectChange}>
      {
        options.map(v => <Select.Option key={v} value={v}>{v}</Select.Option>)
      }
    </Select>
  )

}

export default FileTypeSelect